Syncfusion AI Assistant

How can I help you?

Fab

6 Feb 20265 minutes to read

The FAB Component (Floating Action Button) is an extension of Button Component that appears in front of all the contents of the page and performs the primary action.

Properties

content string

Defines the text content of the Button element.

    <button id="primarybtn"></button>
    import { Button } from '@syncfusion/ej2-buttons';
    let button: Button = new Button({content: 'JasButton'});
    button.appendTo('#normalbtn');

Defaults to ””

cssClass string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.

    <button id="flatbtn">Flat</button>
    import { Button } from '@syncfusion/ej2-buttons';
    let button = new Button({ cssClass: 'e-flat e-primary' });
    button.appendTo('#flatbtn');

Defaults to ””

disabled boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss string

Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.

Defaults to ””

iconPosition string|IconPosition

Positions the icon before/after the text content in the Button.
The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary boolean

Defines whether to apply primary style for FAB.

Defaults to true

isToggle boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

position string|FabPosition

Defines the position of the FAB relative to target.
The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner.
    <button id='fab'></button>
import { Fab } from '@syncfusion/ej2-buttons';

let fab: Fab = new Fab({
    content:'fab',
    position:'BottomLeft'
});

fab.appendTo('#fab');

Defaults to FabPosition.BottomRight

target string|HTMLElement

Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

Defaults to ’’

visible boolean

Defines whether the fab is visible or hidden.

Defaults to true.

Methods

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

appendTo

Appends the control within the given HTML element

Parameter Type Description
selector (optional) string | HTMLElement Target element where control needs to be appended

Returns void

click

Click the button element
its native method

Returns void

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

destroy

Destroys the FAB instance.

Returns void

focusIn

Sets the focus to Button
its native method

Returns void

getPersistData

Get the properties to be maintained in the persisted state.

Returns string

getRootElement

Returns the route element of the component

Returns HTMLElement

refresh

Applies all the pending property changes and render the component again.

Returns void

refreshPosition

Refreshes the FAB position. You can call this method to re-position FAB when target is resized.

Returns void

removeEventListener

Removes the handler from the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event to remove
handler Function Specifies the function to remove

Returns void

Events

created EmitType<Event>

Triggers once the component rendering is completed.

FabComponent

9 Jul 20265 minutes to read

Represents the Angular Fab Component.

<button ejs-fab content='fab'></button>

Properties

content string

Defines the text content of the Button element.

    <button ejs-button [content]="content_normal">Normal</button>
import { Component, ViewEncapsulation } from "@angular/core";
import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
/**
 * Default Button Controller
 */
@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styleUrls: ["app.component.css"],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  public content_normal = "Normal";

  constructor() {}
}

Defaults to ””

cssClass string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.

    <button ejs-button [cssClass]="flat_class" isPrimary="true">Flat</button>
    import { Component, ViewEncapsulation } from "@angular/core";
    import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
    /**
    * Default Button Controller
    */
    @Component({
        selector: "app-root",
        templateUrl: "app.component.html",
        styleUrls: ["app.component.css"],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
    public flat_class = "e-flat";

    constructor() {}
    }

Defaults to ””

disabled boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRepeat boolean

Enables hold-to-repeat behavior on the Button when set to true.
While the button is held down (pointer or keyboard), repeated clicked events are fired
at the rate controlled by repeatDelay and repeatInterval.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss string

Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.

Defaults to ””

iconPosition string|IconPosition

Positions the icon before/after the text content in the Button.
The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary boolean

Defines whether to apply primary style for FAB.

Defaults to true

isToggle boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

position string|FabPosition

Defines the position of the FAB relative to target.
The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner.
    <button ejs-fab id='fab' content='fab' [position]='position'></button>
import { Component } from '@angular/core';
import { FabPosition } from '@syncfusion/ej2-angular-buttons';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent { 
    public position:FabPosition = 'BottomLeft';
}

Defaults to FabPosition.BottomRight

repeatDelay number

Specifies the delay in milliseconds before repeat firing begins after the initial press.
Only applicable when enableRepeat is true.
Changes to this property take effect on the next hold cycle.

Defaults to 400

repeatInterval number

Specifies the interval in milliseconds between repeated clicked fires during a hold.
When set to 0 (default), pointer repeat uses 100ms; keyboard repeat defers to the native OS rate.
Changes to this property take effect on the next hold cycle.

Defaults to 0

target string|HTMLElement

Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

Defaults to ’’

visible boolean

Defines whether the fab is visible or hidden.

Defaults to true.

Methods

click

Click the button element
its native method

Returns void

destroy

Destroys the FAB instance.

Returns void

focusIn

Sets the focus to Button
its native method

Returns void

getPersistData

Get the properties to be maintained in the persisted state.

Returns string

refreshPosition

Refreshes the FAB position. You can call this method to re-position FAB when target is resized.

Returns void

Events

clicked EmitType<ClickedEventArgs>

Triggers on every click fire — both the initial press and each repeat while the button is held.
The event argument carries originalEvent (the originating DOM event) and isRepeat
(false for the first press, true for subsequent repeat fires).
Only emitted when enableRepeat is true.

created EmitType<Event>

Triggers once the component rendering is completed.

FabComponent

9 Jul 20264 minutes to read

FabComponent represents the react Fab Component.

<FabComponent></FabComponent>

Properties

content string

Defines the text content of the Button element.

    import { render } from "react-dom";
    import "./index.css";
    import * as React from "react";
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { SampleBase } from "./sample-base";

    export class Default extends SampleBase {
        content = "Normal";
  
        render() {
            return (
            <ButtonComponent cssClass="e-primary" content={this.content}></ButtonComponent>
        );}
    }

    render(<Default />, document.getElementById("sample"));

Defaults to ””

cssClass string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.

    import { render } from "react-dom";
    import "./index.css";
    import * as React from "react";
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { SampleBase } from "./sample-base";

    export class Default extends SampleBase {
        primary_class = "e-primary";
  
        render() {
            return (
            <ButtonComponent cssClass={this.primary_class} content="Normal"></ButtonComponent>
        );}
    }

    render(<Default />, document.getElementById("sample"));

Defaults to ””

disabled boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRepeat boolean

Enables hold-to-repeat behavior on the Button when set to true.
While the button is held down (pointer or keyboard), repeated clicked events are fired
at the rate controlled by repeatDelay and repeatInterval.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss string

Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.

Defaults to ””

iconPosition string|IconPosition

Positions the icon before/after the text content in the Button.
The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary boolean

Defines whether to apply primary style for FAB.

Defaults to true

isToggle boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

position string|FabPosition

Defines the position of the FAB relative to target.
The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner.
import * as React from 'react';
import './style.css';
import { FabComponent } from '@syncfusion/ej2-react-buttons';

export default function App() {
  return (
    <div>
      <FabComponent content='fab' position='BottomLeft'></FabComponent>
    </div>
  );
}

Defaults to FabPosition.BottomRight

repeatDelay number

Specifies the delay in milliseconds before repeat firing begins after the initial press.
Only applicable when enableRepeat is true.
Changes to this property take effect on the next hold cycle.

Defaults to 400

repeatInterval number

Specifies the interval in milliseconds between repeated clicked fires during a hold.
When set to 0 (default), pointer repeat uses 100ms; keyboard repeat defers to the native OS rate.
Changes to this property take effect on the next hold cycle.

Defaults to 0

target string|HTMLElement

Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

Defaults to ’’

visible boolean

Defines whether the fab is visible or hidden.

Defaults to true.

Methods

click

Click the button element
its native method

Returns void

destroy

Destroys the FAB instance.

Returns void

focusIn

Sets the focus to Button
its native method

Returns void

getPersistData

Get the properties to be maintained in the persisted state.

Returns string

refreshPosition

Refreshes the FAB position. You can call this method to re-position FAB when target is resized.

Returns void

Events

clicked EmitType<ClickedEventArgs>

Triggers on every click fire — both the initial press and each repeat while the button is held.
The event argument carries originalEvent (the originating DOM event) and isRepeat
(false for the first press, true for subsequent repeat fires).
Only emitted when enableRepeat is true.

created EmitType<Event>

Triggers once the component rendering is completed.

Syncfusion AI Assistant

How can I help you?

FabComponent

6 Feb 20265 minutes to read

Represents the Essential JS 2 VueJS Fab Component

<ejs-fab></ejs-fab>

Properties

content string

Defines the text content of the Button element.

    <template>
        <ejs-button :isPrimary="true" :content="content"></ejs-button>
    <template>
    <style>

    </style>
    <script>
    import Vue from "vue";
    import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";

    Vue.use(ButtonPlugin);

    export default Vue.extend({
        data: function(){
            return{
                content: 'Primary'
            }
        }
        methods: { }
    }});
</script>

Defaults to ””

cssClass string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.

    <template>
        <ejs-button :cssClass="cssClass_flat" :content="content">Primary</ejs-button>
    <template>
    <style>

    </style>
    <script>
    import Vue from "vue";
    import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";

    Vue.use(ButtonPlugin);

    export default Vue.extend({
        data: function(){
            return{
                cssClass_flat: 'e-flat'
            }
        }
        methods: { }
    }});
</script>

Defaults to ””

disabled boolean

Specifies a value that indicates whether the Button is disabled or not.

Defaults to false.

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

Defaults to true

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

iconCss string

Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.

Defaults to ””

iconPosition string|IconPosition

Positions the icon before/after the text content in the Button.
The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

Defaults to IconPosition.Left

isPrimary boolean

Defines whether to apply primary style for FAB.

Defaults to true

isToggle boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

Defaults to false

position string|FabPosition

Defines the position of the FAB relative to target.
The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner.
<template>
    <ejs-fab id='fab' content='fab' position='BottomLeft'></ejs-fab>
</template>

<script>
    import Vue from 'vue';
    import { FabPlugin } from '@syncfusion/ej2-vue-buttons';

    Vue.use(FabPlugin);

    export default {}
</script>

Defaults to FabPosition.BottomRight

target string|HTMLElement

Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

Defaults to ’’

visible boolean

Defines whether the fab is visible or hidden.

Defaults to true.

Methods

click

Click the button element
its native method

Returns void

destroy

Destroys the FAB instance.

Returns void

focusIn

Sets the focus to Button
its native method

Returns void

getPersistData

Get the properties to be maintained in the persisted state.

Returns string

refreshPosition

Refreshes the FAB position. You can call this method to re-position FAB when target is resized.

Returns void

Events

created EmitType<Event>

Triggers once the component rendering is completed.